package com.diagbot.client;


import com.diagbot.client.hystrix.IcssPush5ServiceHystrix;
import com.diagbot.dto.RespDTO;
import com.diagbot.icss5.PushDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: ICSS5.0推送
 * @author: Mark Huang
 * @time: 2019/12/13 9:52
 */
@FeignClient(value = "IcssPush5-service", url="${IcssPush5.url}", fallback = IcssPush5ServiceHystrix.class)
public interface IcssPush5ServiceClient {

    @PostMapping(value = "/api/ltapi/push/push")
    RespDTO<PushDTO> getAnnotation(@RequestBody com.diagbot.icss5.PushVO searchData);
}



